'sim-ARIMA.prg
'Programa para EViews - Instrucciones de EViews para generar (simular)
'series temporales a partir de algunos modelos ARIMA
'Asignatura: Series Temporales
'Ultima revisin: lunes 16/02/04

'1. Archivo de trabajo (workfile) "undated" (sin fechas) para 150 observaciones

create u 150

'2. Serie RB: ruido blanco con varianza igual a 1

rndseed 12
series rb = nrnd

'3. Serie AR11: AR(1) con phi1 = 0.8 (positivo), z(1) = 0

series z = 0
smpl @first + 1 @last
series z = 0.8 * z(-1) + rb
smpl @first @last
rename z ar11

'4. Serie AR12: AR(1) con phi1 = -0.8 (negativo), z(1) = 0

series z = 0
smpl @first + 1 @last
series z = -0.8 * z(-1) + rb
smpl @first @last
rename z ar12

'5. Serie AR21: AR(2) con phi1 = 0.6, phi2 = 0.2 (races reales), z(1) =  z(2) = 0

series z = 0
smpl @first + 2 @last
series z = 0.6 * z(-1) + 0.2 * z(-2) + rb
smpl @first @last
rename z ar21

'6. Serie AR22: AR(2) con phi1 = -0.6, phi2 = 0.2 (races reales), z(1) = z(2) = 0

series z = 0
smpl @first + 2 @last
series z = -0.6 * z(-1) + 0.2 * z(-2) + rb
smpl @first @last
rename z ar22

'7. Serie AR23: AR(2) con phi1 = 0.75, phi2 = -0.5 (races complejas), z(1) = z(2) = 0

series z = 0
smpl @first + 2 @last
series z = 0.75 * z(-1) - 0.5 * z(-2) + rb
smpl @first @last
rename z ar23

'8. Serie AR24: AR(2) con phi1 = -0.8, phi2 = -0.6 (races complejas), z(1) = z(2) = 0

series z = 0
smpl @first + 2 @last
series z = -0.8 * z(-1) - 0.6 * z(-2) + rb
smpl @first @last
rename z ar24

'9. Serie MA11: MA(1) con theta1 = 0.8 (positivo)

series z = rb - 0.8 * rb(-1)
rename z ma11

'10. Serie MA12: MA(1) con theta1 = -0.8 (negativo)

series z = rb + 0.8 * rb(-1)
rename z ma12

'11. Serie MA21: MA(2) con theta1 = 0.6, theta2 = 0.2 (races reales)

series z = rb - 0.6 * rb(-1) - 0.2 * rb(-2)
rename z ma21

'12. Serie MA22: MA(2) con theta1 = -0.6, theta2 = 0.2 (races reales)

series z = rb + 0.6 * rb(-1) - 0.2 * rb(-2)
rename z ma22

'13. Serie MA23: MA(2) con theta1 = 0.75, theta2 = -0.5 (races complejas)

series z = rb - 0.75 * rb(-1) + 0.5 * rb(-2)
rename z ma23

'14. Serie MA24: MA(2) con theta1 = -0.8, theta2 = -0.6 (races complejas)

series z = rb + 0.8 * rb(-1) + 0.6 * rb(-2)
rename z ma24

'15. Serie ARMA11: ARMA(1,1) con phi1 = 0.8, theta1 = -0.8, z(1) = 0

series z = 0
smpl @first + 1 @last
series z = 0.8 * z(-1) + rb + 0.8 * rb(-1)
smpl @first @last
rename z arma11

'16. Serie ARIMA111: ARIMA(1,1,1) con phi1 = 0.3, theta1 = 0.8, z(1) = z(2) = 0

series z = 0
smpl @first + 2 @last
series z = 1.3 * z(-1) - 0.3 * z(-2) + rb - 0.8 * rb(-1)
smpl @first @last
rename z arima111

'17. Serie ARI11: ARIMA(1,1,0) con phi1 = 0.8, z(1) = z(2) = 0

series z = 0
smpl @first + 2 @last
series z = 1.8 * z(-1) - 0.8 * z(-2) + rb
smpl @first @last
rename z ari11

'18. Serie IMA11: ARIMA(0,1,1) con theta1 = 0.8, z(1) = 0

series z = 0
smpl @first + 1 @last
series z = z(-1) + rb - 0.8 * rb(-1)
smpl @first @last
rename z ima11

'19. Serie PA1: ARIMA(0,1,0) con z(1) = 0

series z = 0
smpl @first + 1 @last
series z = z(-1) + rb
smpl @first @last
rename z pa1

'20. Serie PA2: ARIMA(0,1,0) con z(1) = 0, constante = 0.5

series z = 0
smpl @first + 1 @last
series z = 0.5 + z(-1) + rb
smpl @first @last
rename z pa2

